Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.invocation.iiop
Interface ServantRegistry

public interface ServantRegistry

Interface of a registry for CORBA servants.

Version:
  $Revision: 1.1 $
Author:
  Francisco Reverbel

Method Summary
`ReferenceFactory` | `bind(String name, Servant servant)` Binds `name` to `servant`.
`ReferenceFactory` | `bind(String name, Servant servant, Policy[] policies)` Binds `name` to `servant`, with the given `policies`.
`void` | `unbind(String name)` Unbinds the servant bound to `name`.

Method Detail

### bind

    public ReferenceFactory bind(String name,
                                 Servant servant,
                                 Policy[] policies)
                          throws Exception

  Binds `name` to `servant`, with the given `policies`. Returns a `ReferenceFactory` that should be used to create CORBA references to the object(s) implemented by `servant`. A CORBA reference created by this factory will contain `name` as the servant id embedded in the reference. If the servant implements more than one CORBA object, references for such objects should be created by the `ReferenceFactory` method `createReferenceWithId()`, which takes an `id` parameter to distinguish among the objects implemented by the same servant. Otherwise (if the servant implements a single CORBA object) the method `createReference()` should be used.

  Throws:
    `Exception`

### bind

    public ReferenceFactory bind(String name,
                                 Servant servant)
                          throws Exception

  Binds `name` to `servant`. Returns a `ReferenceFactory` that should be used to create CORBA references to the object(s) implemented by `servant`. For the usage of this `ReferenceFactory`, see method above.

  Throws:
    `Exception`

### unbind

    public void unbind(String name)
                throws Exception

  Unbinds the servant bound to `name`.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.